Gene Products GO Terms
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/gene-products/go-termsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/gene-products/go-terms"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/gene-products/go-terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"gene_product_id": "<string>",
"go_term_name": "<string>",
"source": "<string>",
"gene_product_type": "<string>",
"gene_product_symbol": "<string>",
"qualifier": [
"<string>"
],
"organism": "<string>",
"evidence": "<string>",
"go_id": "<string>",
"name": "<string>",
"gene_product_name": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Gene Products GO Terms
Retrieve GO terms from either proteins or transcripts.
Example: query = ENSP00000384707,
name = involved in
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Gene Products GO Terms
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/gene-products/go-termsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/gene-products/go-terms"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/gene-products/go-terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"gene_product_id": "<string>",
"go_term_name": "<string>",
"source": "<string>",
"gene_product_type": "<string>",
"gene_product_symbol": "<string>",
"qualifier": [
"<string>"
],
"organism": "<string>",
"evidence": "<string>",
"go_id": "<string>",
"name": "<string>",
"gene_product_name": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
has the function, involved in, is located in Response
Successful response